Skip to main content
POST
cURL
Change the tier (membership) of a subscription item to perform an upgrade or downgrade.

Flow

  1. Get available options via GET /subscription-items/{id}/change-options
  2. Select a tier from the options
  3. Execute the tier change using this endpoint

Request Parameters

Response

Returns the updated subscription item and any created credit note.

Implementation Guide

Complete guide for implementing self-service upgrades

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

ProductGroupMembership identifier

Body

application/json
subscriptionItem
string
erforderlich

UUID of the subscription item to change

selectedPricePlan
string

UUID of the selected price plan (optional if only one available)

quantity
integer

New quantity (optional)

Beispiel:

1

sendInvoiceEmail
boolean
Standard:true

Whether to send credit note via email

Antwort

Membership applied successfully

Result of applying a product group membership

subscriptionItem
object
creditNote
object